Imports Microsoft.VisualBasic

Namespace Demo

    Public Class AppendMessage
        Implements IHttpModule

        Dim WithEvents _application As HttpApplication = Nothing

        Public Overridable Sub Init(ByVal context As HttpApplication) _
                Implements IHttpModule.Init
            _application = context
        End Sub

        Public Overridable Sub Dispose() Implements IHttpModule.Dispose

        End Sub

        Public Sub context_PreSendRequestContent(ByVal sender As Object, _
                ByVal e As EventArgs) Handles _application.PreSendRequestContent

            'alter the outgoing content by adding a HTML comment.
            Dim message As String = "<!-- This page has been post processed at " & _
                                    System.DateTime.Now.ToString() & _
                                    " by a custom HttpModule.-->"

            _application.Context.Response.Output.Write(message)

        End Sub

    End Class

End Namespace
